deposit_edge_attr {DiagrammeR} | R Documentation

## Deposit edge attributes in the graph

### Description

From a graph object of class `dgr_graph`, get edge attribute properties for one or more edges and deposit those values in the graph for later retrieval using `withdraw_values`.

### Usage

    deposit_edge_attr(graph, edge_attr, mode = NULL, from = NULL, to = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`edge_attr` | the edge attribute from which to obtain values.
`mode` | a option to recast the returned vector of edge attribute value as `numeric` or `character`.
`from` | an optional vector of node IDs from which the edge is outgoing for filtering the list of edges present in the graph.
`to` | an optional vector of node IDs to which the edge is incoming for filtering the list of edges present in the graph.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]